--
-- Patch DML de GRHUM du 08/11/2012 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 2
-- Type : DML
-- Schema : GRHUM
-- Numero de version : 1.7.1.16
-- Date de publication : 08/11/2012
-- Auteur(s) : Cocktail
-- Licence : CeCILL version 2
--
--

WHENEVER SQLERROR EXIT SQL.SQLCODE;


--
-- DB_VERSION
--
INSERT INTO GRHUM.DB_VERSION VALUES(GRHUM.DB_VERSION_SEQ.NEXTVAL, '1.7.1.16', TO_DATE('08/11/2012', 'DD/MM/YYYY'),NULL,'Mise à jour pour les pays et les RIB & Commentaires...');


--
-- REFONTE DE LA TABLE PAYS
--


UPDATE PAYS SET CODE_ISO='me', ISO_3166_3='MNE', D_MODIFICATION=SYSDATE WHERE C_PAYS=120;
UPDATE PAYS SET CODE_ISO='va', ISO_3166_3='VAT', D_MODIFICATION=SYSDATE WHERE C_PAYS=129;
UPDATE PAYS SET CODE_ISO='az', ISO_3166_3='AZE', D_MODIFICATION=SYSDATE WHERE C_PAYS=147;
UPDATE PAYS SET CODE_ISO='kz', ISO_3166_3='KAZ', D_MODIFICATION=SYSDATE WHERE C_PAYS=149;
UPDATE PAYS SET CODE_ISO='lb', ISO_3166_3='LBN', D_MODIFICATION=SYSDATE WHERE C_PAYS=205;
UPDATE PAYS SET CODE_ISO='bt', ISO_3166_3='BTN', D_MODIFICATION=SYSDATE WHERE C_PAYS=214;
UPDATE PAYS SET CODE_ISO='kr', ISO_3166_3='KOR', D_MODIFICATION=SYSDATE WHERE C_PAYS=237;
UPDATE PAYS SET CODE_ISO='bh', ISO_3166_3='BHR', D_MODIFICATION=SYSDATE WHERE C_PAYS=249;
UPDATE PAYS SET CODE_ISO='am', ISO_3166_3='ARM', D_MODIFICATION=SYSDATE WHERE C_PAYS=252;
UPDATE PAYS SET CODE_ISO='az', ISO_3166_3='AZE', D_MODIFICATION=SYSDATE WHERE C_PAYS=253;
UPDATE PAYS SET CODE_ISO='kg', ISO_3166_3='KGZ', D_MODIFICATION=SYSDATE WHERE C_PAYS=257;
UPDATE PAYS SET CODE_ISO='uz', ISO_3166_3='UZB', D_MODIFICATION=SYSDATE WHERE C_PAYS=258;
UPDATE PAYS SET CODE_ISO='tj', ISO_3166_3='TJK', D_MODIFICATION=SYSDATE WHERE C_PAYS=259;
UPDATE PAYS SET CODE_ISO='gq', ISO_3166_3='GNQ', D_MODIFICATION=SYSDATE WHERE C_PAYS=314;
UPDATE PAYS SET CODE_ISO='sz', ISO_3166_3='SWZ', D_MODIFICATION=SYSDATE WHERE C_PAYS=391;
UPDATE PAYS SET CODE_ISO='do', ISO_3166_3='DOM', D_MODIFICATION=SYSDATE WHERE C_PAYS=408;
UPDATE PAYS SET CODE_ISO='io', ISO_3166_3='IOT', D_MODIFICATION=SYSDATE WHERE C_PAYS=425;
UPDATE PAYS SET CODE_ISO='bs', ISO_3166_3='BHS', D_MODIFICATION=SYSDATE WHERE C_PAYS=436;
UPDATE PAYS SET CODE_ISO='kn', ISO_3166_3='KNA', D_MODIFICATION=SYSDATE WHERE C_PAYS=442;
UPDATE PAYS SET CODE_ISO='sb', ISO_3166_3='SBL', D_MODIFICATION=SYSDATE WHERE C_PAYS=512;

Insert into GRHUM.PAYS (C_PAYS,LL_PAYS,LC_PAYS,L_NATIONALITE,D_DEB_VAL,D_FIN_VAL,D_CREATION,D_MODIFICATION,CODE_ISO,L_EDITION,LL_PAYS_EN,ISO_3166_3) values ('985','MAYOTTE','MAYOTTE','FRANCAIS(E)',to_date('31/03/96','DD/MM/RR'),null,SYSDATE,SYSDATE,'yt','Mayotte','Mayotte','MYT');
Insert into GRHUM.PAYS (C_PAYS,LL_PAYS,LC_PAYS,L_NATIONALITE,D_DEB_VAL,D_FIN_VAL,D_CREATION,D_MODIFICATION,CODE_ISO,L_EDITION,LL_PAYS_EN,ISO_3166_3) values ('987','POLYNESIE FRANCAISE','POLYNESIE','FRANCAIS(E)',to_date('31/03/96','DD/MM/RR'),null,SYSDATE,SYSDATE,'pf','Polynésie Française','French Polynesia','PYF');
Insert into GRHUM.PAYS (C_PAYS,LL_PAYS,LC_PAYS,L_NATIONALITE,D_DEB_VAL,D_FIN_VAL,D_CREATION,D_MODIFICATION,CODE_ISO,L_EDITION,LL_PAYS_EN,ISO_3166_3) values ('988','NOUVELLE CALEDONIE','NLLE CAL.','Fran√ßais',to_date('31/03/96','DD/MM/RR'),null,SYSDATE,SYSDATE,'nc','Nouvelle Calédonie','New Caledonia','NCL');
Insert into GRHUM.PAYS (C_PAYS,LL_PAYS,LC_PAYS,L_NATIONALITE,D_DEB_VAL,D_FIN_VAL,D_CREATION,D_MODIFICATION,CODE_ISO,L_EDITION,LL_PAYS_EN,ISO_3166_3) values ('986','WALLIS ET FUTUNA','WALLIS FU.','Fran√ßais',to_date('31/03/96','DD/MM/RR'),null,SYSDATE,SYSDATE,'wf','Wallys et Futuna','Wallis and Futuna','WLF');



-- 
-- TYPE_PERIODE_MILITAIRE
-- 


UPDATE GRHUM.TYPE_PERIODE_MILIT set C_TYPE_PERIODE_MILITAIRE_ONP = 'SN508' where  C_PERIODE_MILITAIRE = 'V';

INSERT INTO GRHUM.TYPE_PERIODE_MILIT VALUES ('L2', 'VSL', 'Volontariat Service Long (2 Mois)', 'O', sysdate, sysdate, 'SN141');
INSERT INTO GRHUM.TYPE_PERIODE_MILIT VALUES ('L3', 'VSL', 'Volontariat Service Long (3 Mois)', 'O', sysdate, sysdate, 'SN142');
INSERT INTO GRHUM.TYPE_PERIODE_MILIT VALUES ('L4', 'VSL', 'Volontariat Service Long (4 Mois)', 'O', sysdate, sysdate, 'SN143');
INSERT INTO GRHUM.TYPE_PERIODE_MILIT VALUES ('L5', 'VSL', 'Volontariat Service Long (5 Mois)', 'O', sysdate, sysdate, 'SN144');
INSERT INTO GRHUM.TYPE_PERIODE_MILIT VALUES ('L6', 'VSL', 'Volontariat Service Long (6 Mois)', 'O', sysdate, sysdate, 'SN145');
INSERT INTO GRHUM.TYPE_PERIODE_MILIT VALUES ('L7', 'VSL', 'Volontariat Service Long (7 Mois)', 'O', sysdate, sysdate, 'SN146');
INSERT INTO GRHUM.TYPE_PERIODE_MILIT VALUES ('L8', 'VSL', 'Volontariat Service Long (8 Mois)', 'O', sysdate, sysdate, 'SN147');
INSERT INTO GRHUM.TYPE_PERIODE_MILIT VALUES ('L9', 'VSL', 'Volontariat Service Long (9 Mois)', 'O', sysdate, sysdate, 'SN148');
INSERT INTO GRHUM.TYPE_PERIODE_MILIT VALUES ('L10', 'VSL', 'Volontariat Service Long (10 Mois)', 'O', sysdate, sysdate, 'SN149');
INSERT INTO GRHUM.TYPE_PERIODE_MILIT VALUES ('L11', 'VSL', 'Volontariat Service Long (11 Mois)', 'O', sysdate, sysdate, 'SN150');
INSERT INTO GRHUM.TYPE_PERIODE_MILIT VALUES ('L12', 'VSL', 'Volontariat Service Long (12 Mois)', 'O', sysdate, sysdate, 'SN151');
INSERT INTO GRHUM.TYPE_PERIODE_MILIT VALUES ('L13', 'VSL', 'Volontariat Service Long (13 Mois)', 'O', sysdate, sysdate, 'SN152');
INSERT INTO GRHUM.TYPE_PERIODE_MILIT VALUES ('L14', 'VSL', 'Volontariat Service Long (14 Mois)', 'O', sysdate, sysdate, 'SN153');

UPDATE GRHUM.MOTIF_POSITION set TEM_ENFANT  = 'N' where C_MOTIF_POSITION = 'CP';

-- 
-- PASSAGE_ECHELON
-- 
-- ADJ. ADM DE L'EN ET DE L'ENS SUP PR C1
update grhum.passage_echelon set DUREE_PT_CHOIX_ANNEES=3, DUREE_PASSAGE_ANNEES=4,d_modification=sysdate where c_grade='0564' and c_echelon='07' and d_fermeture is null;
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL) Values('0564', '08', '499', SYSDATE, SYSDATE, TO_DATE('01/01/2012', 'DD/MM/YYYY'), 'N');

-- ADJOINT TECHNIQUE RECH ET FORM  PR CL1
update grhum.passage_echelon set c_echelon='08',d_modification=sysdate where c_grade='8394' and c_echelon='SL' and d_fermeture is null;

-- MAGASINIER DES BIBLIOTHEQUES 1ERE CLASSE
update grhum.passage_echelon set DUREE_PT_CHOIX_ANNEES=null, DUREE_PASSAGE_ANNEES=null,d_modification=sysdate where c_grade='8202' and c_echelon='11' and d_fermeture is null;

-- MAGASINIER DES BIBLIOTHEQUES PR. 2EME CL
update grhum.passage_echelon set DUREE_PT_CHOIX_ANNEES=2, DUREE_PASSAGE_ANNEES=3,d_modification=sysdate where c_grade='8203' and c_echelon='06' and d_fermeture is null;

-- MAGASINIER DES BIBLIOTHEQUES PR. 1ERE CL
update grhum.passage_echelon set DUREE_PT_CHOIX_MOIS=6,DUREE_PASSAGE_ANNEES=2,d_modification=sysdate where c_grade='8204' and c_echelon='01' and d_fermeture is null;
update grhum.passage_echelon set DUREE_PT_CHOIX_ANNEES=2, DUREE_PASSAGE_ANNEES=3,d_modification=sysdate where c_grade='8204' and c_echelon='03' and d_fermeture is null;
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL) Values('8204', '08', '499', SYSDATE, SYSDATE, TO_DATE('01/01/2012', 'DD/MM/YYYY'), 'N');


--
-- DB_VERSION
--
UPDATE GRHUM.DB_VERSION SET DBV_INSTALL=SYSDATE WHERE DBV_LIBELLE='1.7.1.16';


COMMIT;